Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057120 - OSError: [Errno 2] No such file or directory
Summary: OSError: [Errno 2] No such file or directory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:07bbf7c05e8ebcc7f81a0d0f472...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 13:36 UTC by Leslie Satenstein
Modified: 2014-03-28 14:22 UTC (History)
6 users (show)

Fixed In Version: anaconda-21.25-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-28 14:22:32 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: anaconda.log (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: environ (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: lsblk_output (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: nmcli_dev_list (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: os_info (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: program.log (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: storage.log (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: syslog (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: ifcfg.log (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details
File: packaging.log (deleted)
2014-01-23 13:36 UTC, Leslie Satenstein
no flags Details

Description Leslie Satenstein 2014-01-23 13:36:23 UTC
Description of problem:
Was doing a network installation (Using the Russian RXSpin).  It crashed. I restarted multiple times, each time selecting fewer groups, and after 4 tries, I am going back to the DVD installation.

Version-Release number of selected component:
anaconda-20.25.15-1

The following was filed automatically by anaconda:
anaconda 20.25.15-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/subprocess.py", line 1308, in _execute_child
    raise child_exception
  File "/usr/lib64/python2.7/subprocess.py", line 711, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 81, in _run_program
    preexec_fn=chroot, cwd=root, env=env)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 116, in execWithRedirect
    return _run_program(argv, stdin=stdin, stdout=stdout, root=root, env_prune=env_prune)[0]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 237, in execute
    iutil.execWithRedirect("/usr/sbin/authconfig", args, root=ROOT_PATH)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 66, in doConfiguration
    ksdata.authconfig.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 192, in run
    threading.Thread.run(self, *args, **kwargs)
OSError: [Errno 2] No such file or directory

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=RFRemix\x2020\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Heisenbug)
type:           anaconda
version:        20

Potential duplicate: bug 971179

Comment 1 Leslie Satenstein 2014-01-23 13:36:34 UTC
Created attachment 854382 [details]
File: anaconda-tb

Comment 2 Leslie Satenstein 2014-01-23 13:36:36 UTC
Created attachment 854383 [details]
File: anaconda.log

Comment 3 Leslie Satenstein 2014-01-23 13:36:38 UTC
Created attachment 854384 [details]
File: environ

Comment 4 Leslie Satenstein 2014-01-23 13:36:40 UTC
Created attachment 854385 [details]
File: lsblk_output

Comment 5 Leslie Satenstein 2014-01-23 13:36:42 UTC
Created attachment 854386 [details]
File: nmcli_dev_list

Comment 6 Leslie Satenstein 2014-01-23 13:36:43 UTC
Created attachment 854387 [details]
File: os_info

Comment 7 Leslie Satenstein 2014-01-23 13:36:45 UTC
Created attachment 854388 [details]
File: program.log

Comment 8 Leslie Satenstein 2014-01-23 13:36:47 UTC
Created attachment 854389 [details]
File: storage.log

Comment 9 Leslie Satenstein 2014-01-23 13:36:50 UTC
Created attachment 854390 [details]
File: syslog

Comment 10 Leslie Satenstein 2014-01-23 13:36:53 UTC
Created attachment 854391 [details]
File: ifcfg.log

Comment 11 Leslie Satenstein 2014-01-23 13:36:58 UTC
Created attachment 854392 [details]
File: packaging.log

Comment 12 Ram Chillarege 2014-02-04 22:10:55 UTC
Installing FC20 on Thinkpad T61 - DVD install of full package (not live). Almost at the end, the Complete! shows and then the "unknown error"

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
package:        anaconda-20.25.15-1
product:        Fedora
reason:         OSError: [Errno 2] No such file or directory
release:        Cannot get release name.
version:        20

Comment 13 David Shea 2014-02-24 23:03:21 UTC
anaconda is trying to run authconfig before it's been installed

Comment 14 David Shea 2014-02-25 19:42:31 UTC
Our anaconda-yum script is failing in a way that anaconda is isn't catching. I don't know what the actual error is, but I've posted a patch to catch any problems we may have missed while running anaconda-yum so that if this happens again we can find the real problem.


Note You need to log in before you can comment on or make changes to this bug.